libzypp: zypp::PluginScript::Impl Struct Reference

libzypp 17.38.11

zypp::PluginScript::Impl Struct Reference

PluginScript implementation. More...

## Public Member Functions
| Impl (Pathname &&script_r=Pathname(), Arguments &&args_r=Arguments())
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
const Pathname & | script () const
const Arguments & | args () const
pid_t | getPid () const
Pathname | getChroot () const
bool | isOpen () const
int | lastReturn () const
const std::string & | lastExecError () const
void | open (const Pathname &script_r=Pathname(), const Arguments &args_r=Arguments(), const Pathname &root_r=Pathname())
int | close ()
void | send (const PluginFrame &frame_r) const
PluginFrame | receive () const

## Public Attributes
long | _sendTimeout
long | _receiveTimeout

## Static Public Attributes
static long | _defaultSendTimeout
static long | _defaultReceiveTimeout

## Private Attributes
Pathname | _script
Arguments | _args
scoped_ptr< ExternalProgramWithStderr > | _cmd
DefaultIntegral< int, 0 > | _lastReturn
std::string | _lastExecError

## Detailed Description

PluginScript implementation.

Definition at line 135 of file PluginScript.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::PluginScript::Impl::Impl | ( | Pathname && | script_r = Pathname(),
|  | Arguments && | args_r = Arguments() )
| inline

Definition at line 138 of file PluginScript.cc.

## ◆ Impl() [2/3]

zypp::PluginScript::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::PluginScript::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::PluginScript::Impl::~Impl | ( |  | ) |
| inline

Definition at line 150 of file PluginScript.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::PluginScript::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::PluginScript::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ script()

const Pathname & zypp::PluginScript::Impl::script | ( |  | ) | const
| inline

Definition at line 165 of file PluginScript.cc.

## ◆ args()

const Arguments & zypp::PluginScript::Impl::args | ( |  | ) | const
| inline

Definition at line 168 of file PluginScript.cc.

## ◆ getPid()

pid_t zypp::PluginScript::Impl::getPid | ( |  | ) | const
| inline

Definition at line 171 of file PluginScript.cc.

## ◆ getChroot()

Pathname zypp::PluginScript::Impl::getChroot | ( |  | ) | const
| inline

Definition at line 174 of file PluginScript.cc.

## ◆ isOpen()

bool zypp::PluginScript::Impl::isOpen | ( |  | ) | const
| inline

Definition at line 177 of file PluginScript.cc.

## ◆ lastReturn()

int zypp::PluginScript::Impl::lastReturn | ( |  | ) | const
| inline

Definition at line 180 of file PluginScript.cc.

## ◆ lastExecError()

const std::string & zypp::PluginScript::Impl::lastExecError | ( |  | ) | const
| inline

Definition at line 183 of file PluginScript.cc.

## ◆ open()

void zypp::PluginScript::Impl::open | ( | const Pathname & | script_r = Pathname(),
|  | const Arguments & | args_r = Arguments(),
|  | const Pathname & | root_r = Pathname() )

Definition at line 226 of file PluginScript.cc.

## ◆ close()

int zypp::PluginScript::Impl::close | ( |  | ) |

Definition at line 266 of file PluginScript.cc.

## ◆ send()

void zypp::PluginScript::Impl::send | ( | const PluginFrame & | frame_r | ) | const

Definition at line 299 of file PluginScript.cc.

## ◆ receive()

PluginFrame zypp::PluginScript::Impl::receive | ( |  | ) | const

Definition at line 391 of file PluginScript.cc.

## Member Data Documentation

## ◆ _defaultSendTimeout

long zypp::PluginScript::Impl::_defaultSendTimeout
| static

Initial value:
= ( PLUGIN_SEND_TIMEOUT > 0 ? PLUGIN_SEND_TIMEOUT
: ( PLUGIN_TIMEOUT > 0 ? PLUGIN_TIMEOUT : 30 ) )

Definition at line 158 of file PluginScript.cc.

## ◆ _defaultReceiveTimeout

long zypp::PluginScript::Impl::_defaultReceiveTimeout
| static

Initial value:
= ( PLUGIN_RECEIVE_TIMEOUT > 0 ? PLUGIN_RECEIVE_TIMEOUT
: ( PLUGIN_TIMEOUT > 0 ? PLUGIN_TIMEOUT : 30 ) )

Definition at line 159 of file PluginScript.cc.

## ◆ _sendTimeout

long zypp::PluginScript::Impl::_sendTimeout

Definition at line 161 of file PluginScript.cc.

## ◆ _receiveTimeout

long zypp::PluginScript::Impl::_receiveTimeout

Definition at line 162 of file PluginScript.cc.

## ◆ _script

Pathname zypp::PluginScript::Impl::_script
| private

Definition at line 196 of file PluginScript.cc.

## ◆ _args

Arguments zypp::PluginScript::Impl::_args
| private

Definition at line 197 of file PluginScript.cc.

## ◆ _cmd

scoped_ptr<ExternalProgramWithStderr> zypp::PluginScript::Impl::_cmd
| private

Definition at line 198 of file PluginScript.cc.

## ◆ _lastReturn

DefaultIntegral<int,0> zypp::PluginScript::Impl::_lastReturn
| private

Definition at line 199 of file PluginScript.cc.

## ◆ _lastExecError

std::string zypp::PluginScript::Impl::_lastExecError
| private

Definition at line 200 of file PluginScript.cc.

The documentation for this struct was generated from the following file:

- zypp/PluginScript.cc